## Modified to have rules organized to the rules section at bottom, legacy options commented out.

# OPACITY
# inactive-opacity = 0.8;
# frame-opacity = 0.7;

# Let inactive opacity set by -i override the '_NET_WM_WINDOW_OPACITY' values of windows.
# inactive-opacity-override = true;

# if for some reason you want all windows transparent
# active-opacity = 1.0

# inactive-dim = 0.05

# fixed inactive dim value
# inactive-dim-fixed = 1.0

# focus-exclude = [ "class_g = 'dwm'" ];

# opacity-rule = [
#    "100:class_g = 'example'" 
# ];

# ROUNDED CORNERS
corner-radius = 3

# uncommented for square notification box
rounded-corners-exclude = [
  "class_g = 'Polybar'",
  "class_g = 'Dunst'"
];

# BLURRING
# methods: none, gaussian, box, kernel (define custom kernel), dual_kawase
blur:
{
  method = "dual_kawase";
  size = 10;
  strength = 3;
  # default deviation is 0.84
  # deviation = false;
};

# semi-transparent
blur-background = true

# blur-background-frame = true
# Use fixed blur strength rather than adjusting according to window opacity.
blur-background-fixed = true

# set custom blur kernel (method to kernel), preset examples:
# blur-kern = "3x3box";
# blur-kern = "5x5gaussian";

# SHADOWS
# shadow = true;
shadow-radius = 1; #blur radius
shadow-opacity = .1
shadow-offset-x = 0;
shadow-offset-y = 0;
shadow-color = "#000000"
# shadow-exclude = [];

# FADING
fading = true;
fade-in-step = 0.03;
fade-out-step = 0.03;
fade-delta = 3

# OTHER SETTINGS
# dbus = true
# daemon = false

# backends: `xrender`, `glx`, `egl` or `xr_glx_hybrid`
backend = "egl";
dithered-present = false;
vsync = true;
# mark-wmwin-focused = true;
# mark-ovredir-focused = true;
detect-rounded-corners = false
detect-client-opacity = true;
use-ewmh-active-win = true
detect-transient = true;
# glx-no-stencil = true
use-damage = true;
log-level = "warn";

# LEGACY
# wintypes:
# {
#   tooltip = { fade = true; shadow = true; opacity = 0.5; focus = true; full-shadow = false; };
#   dock = { shadow = false; clip-shadow-above = true; }
#   dnd = { shadow = false; }
#   popup_menu = { opacity = 0.7; }
#   dropdown_menu = { opacity = 0.7; }
#   normal = { opacity = 1;}
# };

# WINDOW RULES
rules = (
	# { match = "name = 'dwm'"; opacity = 1; },
	{ match = "focused"; opacity = 1; },
	{ match = "!focused"; opacity = 0.85; },
	{ match = "tooltip"; fade = true; shadow = true; opacity = 0.5; focus = true; full-shadow = false; },
	{ match = "popup_menu"; opacity = 0.7; },
	{ match = "dropdown_menu"; opacity = 0.7; }
)

# picom -b to daemonize
